Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetParameter.MaxTempDiskLimit`, `ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`

Enclosing class:
  `ClientWireProtocol.SetParameter`

public static interface ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`long`
`getTempDiskLimit()`
`int64 tempDiskLimit = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTempDiskLimit

long getTempDiskLimit()
`int64 tempDiskLimit = 1;`

Returns:
  The tempDiskLimit.